/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <extends.h> 



void classB_methodFromC( struct inherit * this ) {

		printf("Please print much much..");

	}
void inherit_methodFromC( struct inherit * this ) {

		printf("Don't print soo much...");

	}



void classA_methodFromC( struct inherit * this ) {

		printf("Don't print soo much...");

	}void inherit_methodFromA( struct inherit * this ) {

		printf("this is a method from a\n\n");

		printf("from a:  a : %i\n", this->propertyFromA);
		printf("from a:  b : %i\n", this->propertyFromB);
		printf("from a:  c : %i\n", this->propertyFromC);

	}



void inherit_methodFromB( struct inherit * this ) {

		printf("this is a method from b\n\n");

		printf("from b:  a : %i\n", this->propertyFromA);
		printf("from b:  b : %i\n", this->propertyFromB);
		printf("from b:  c : %i\n", this->propertyFromC);

	}















void a_methodFromA( struct inherit * this ) {

		printf("this is a method from a\n\n");

		printf("from a:  a : %i\n", this->propertyFromA);
		printf("from a:  b : %i\n", this->propertyFromB);
		printf("from a:  c : %i\n", this->propertyFromC);

	}



void a_methodFromB( struct inherit * this ) {

		printf("this is a method from b\n\n");

		printf("from b:  a : %i\n", this->propertyFromA);
		printf("from b:  b : %i\n", this->propertyFromB);
		printf("from b:  c : %i\n", this->propertyFromC);

	}void b_methodFromB( struct inherit * this ) {

		printf("this is a method from b\n\n");

		printf("from b:  a : %i\n", this->propertyFromA);
		printf("from b:  b : %i\n", this->propertyFromB);
		printf("from b:  c : %i\n", this->propertyFromC);

	}

b b_new() {

	b instance;

	instance.__classIndex = 21;

	instance.propertyFromB =  1234;

	return instance;

}

b * b_newPointer() {

	struct b * pointer = malloc( sizeof ( struct b ) );

	pointer->__classIndex = 21;

	pointer->propertyFromB =  1234;

	return pointer;

}

a a_new() {

	a instance;

	instance.__classIndex = 22;

	instance.propertyFromA =  10;

	instance.propertyFromB =  1234;

	return instance;

}

a * a_newPointer() {

	struct a * pointer = malloc( sizeof ( struct a ) );

	pointer->__classIndex = 22;

	pointer->propertyFromA =  10;

	pointer->propertyFromB =  1234;

	return pointer;

}

inherit inherit_new() {

	inherit instance;

	instance.__classIndex = 23;

	instance.propertyFromC =  100;

	instance.propertyFromA =  10;

	instance.propertyFromB =  1234;

	return instance;

}

inherit * inherit_newPointer() {

	struct inherit * pointer = malloc( sizeof ( struct inherit ) );

	pointer->__classIndex = 23;

	pointer->propertyFromC =  100;

	pointer->propertyFromA =  10;

	pointer->propertyFromB =  1234;

	return pointer;

}

classA classA_new() {

	classA instance;

	instance.__classIndex = 24;

	instance.propertyFromC =  100;

	return instance;

}

classA * classA_newPointer() {

	struct classA * pointer = malloc( sizeof ( struct classA ) );

	pointer->__classIndex = 24;

	pointer->propertyFromC =  100;

	return pointer;

}

classB classB_new() {

	classB instance;

	instance.__classIndex = 25;

	instance.propertyFromC =  111;

	return instance;

}

classB * classB_newPointer() {

	struct classB * pointer = malloc( sizeof ( struct classB ) );

	pointer->__classIndex = 25;

	pointer->propertyFromC =  111;

	return pointer;

}

